cURL
curl --request POST \
--url https://api.crunchz.app/api/send-message/image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": "xxx@c.us",
"caption": "Checkout this image, its hilarious!",
"file": {
"mimeType": "image/png",
"filename": "filename.png",
"url": "https://avatars.githubusercontent.com/u/29356430?v=4"
},
"reply_to": "message_id_here"
}
'import requests
url = "https://api.crunchz.app/api/send-message/image"
payload = {
"contact_id": "xxx@c.us",
"caption": "Checkout this image, its hilarious!",
"file": {
"mimeType": "image/png",
"filename": "filename.png",
"url": "https://avatars.githubusercontent.com/u/29356430?v=4"
},
"reply_to": "message_id_here"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: 'xxx@c.us',
caption: 'Checkout this image, its hilarious!',
file: {
mimeType: 'image/png',
filename: 'filename.png',
url: 'https://avatars.githubusercontent.com/u/29356430?v=4'
},
reply_to: 'message_id_here'
})
};
fetch('https://api.crunchz.app/api/send-message/image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"status": "<string>",
"message": {
"caption": "<string>",
"image": "<string>",
"details": {
"mimetype": "<string>",
"height": "<string>",
"width": "<string>",
"mediaKey": "<string>",
"fileSha256": "<string>",
"timestamp": "<string>"
}
},
"timestamp": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Messages
Send Image
Send image files to WhatsApp users with support for various formats and high-quality media delivery.
POST
/
send-message
/
image
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Contact ID.
Required string length:
10 - 50Pattern:
^[0-9]+@[cs]\.us$Example:
"xxx@c.us"
Caption
Required string length:
1 - 1024Example:
"Checkout this image, its hilarious!"
Show child attributes
Show child attributes
Message ID to reply to (optional)
Required string length:
1 - 100Pattern:
^[A-Za-z0-9_-]+$Example:
"message_id_here"
Was this page helpful?
⌘I